> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the account details PDF

> Retrieve a PDF with the account details of a currency account, addressed either by currency or by account details ID. Exactly one of `currency` or `account_details_id` must be supplied.




## OpenAPI

````yaml https://api.ebury.io/openapi.json get /account-details/pdf
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security: []
paths:
  /account-details/pdf:
    get:
      tags:
        - Account details
      summary: Retrieve the account details PDF
      description: >
        Retrieve a PDF with the account details of a currency account, addressed
        either by currency or by account details ID. Exactly one of `currency`
        or `account_details_id` must be supplied.
      parameters:
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - name: client_id
          in: query
          description: ID of the client that owns the account details
          required: true
          schema:
            type: string
            minLength: 1
        - name: currency
          in: query
          description: >
            Currency of the account details (ISO Code 3). Exactly one of
            `currency` or `account_details_id` must be supplied.
          required: false
          schema:
            type: string
            minLength: 3
            maxLength: 3
            pattern: '[A-Z]{3}'
        - name: account_details_id
          in: query
          description: >
            Unique ID of the account details. Exactly one of `currency` or
            `account_details_id` must be supplied.
          required: false
          schema:
            type: string
            format: uuid
            minLength: 36
            maxLength: 36
      responses:
        '200':
          description: The requested account details document
          headers:
            Content-Disposition:
              description: Attachment header carrying the generated file name
              schema:
                type: string
          content:
            application/pdf:
              schema:
                type: string
                format: binary
        '400':
          description: >
            Formatting, parameter or schema validation error, including
            supplying neither or both of `currency` and `account_details_id`.
            See error message for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '403':
          description: |
            Missing client_id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '429':
          description: Too many requests
components:
  schemas:
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object

````